Package com.google.protobuf

# Interface ApiOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Api`, `Api.Builder`

public interface ApiOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`Method`
`getMethods(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`int`
`getMethodsCount()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<Method>`
`getMethodsList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`MethodOrBuilder`
`getMethodsOrBuilder(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<? extends MethodOrBuilder>`
`getMethodsOrBuilderList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Mixin`
`getMixins(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`int`
`getMixinsCount()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<Mixin>`
`getMixinsList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`MixinOrBuilder`
`getMixinsOrBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<? extends MixinOrBuilder>`
`getMixinsOrBuilderList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`SourceContext`
`getSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`SourceContextOrBuilder`
`getSourceContextOrBuilder()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`Syntax`
`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`int`
`getSyntaxValue()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`String`
`getVersion()`
`string version = 4 [json_name = "version"];`
`ByteString`
`getVersionBytes()`
`string version = 4 [json_name = "version"];`
`boolean`
`hasSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()
`string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### getMethodsList

List<Method> getMethodsList()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getMethods

Method getMethods(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getMethodsCount

int getMethodsCount()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getMethodsOrBuilderList

List<? extends MethodOrBuilder> getMethodsOrBuilderList()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getMethodsOrBuilder

MethodOrBuilder getMethodsOrBuilder(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getOptionsList

List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptions

Option getOptions(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsCount

int getOptionsCount()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsOrBuilderList

List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsOrBuilder

OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getVersion

String getVersion()
`string version = 4 [json_name = "version"];`

Returns:
  The version.

### getVersionBytes

ByteString getVersionBytes()
`string version = 4 [json_name = "version"];`

Returns:
  The bytes for version.

### hasSourceContext

boolean hasSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Returns:
  Whether the sourceContext field is set.

### getSourceContext

SourceContext getSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Returns:
  The sourceContext.

### getSourceContextOrBuilder

SourceContextOrBuilder getSourceContextOrBuilder()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### getMixinsList

List<Mixin> getMixinsList()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getMixins

Mixin getMixins(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getMixinsCount

int getMixinsCount()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getMixinsOrBuilderList

List<? extends MixinOrBuilder> getMixinsOrBuilderList()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getMixinsOrBuilder

MixinOrBuilder getMixinsOrBuilder(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getSyntaxValue

int getSyntaxValue()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Returns:
  The enum numeric value on the wire for syntax.

### getSyntax

Syntax getSyntax()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Returns:
  The syntax.